
#include "config.h"
#include "PluginViewBase.h"

namespace WebCore {

DLL_PUBLIC PluginViewBase::PluginViewBase(PlatformWidget widget)
: Widget(widget)
{
}

DLL_PUBLIC PluginViewBase::~PluginViewBase()
{
}

DLL_PUBLIC IntRect PluginViewBase::convertToContainingView(const IntRect& r) const
{
	return Widget::convertToContainingView(r);
}

DLL_PUBLIC IntRect PluginViewBase::convertFromContainingView(const IntRect& r) const
{
	return Widget::convertFromContainingView(r);
}

DLL_PUBLIC IntPoint PluginViewBase::convertToContainingView(const IntPoint& p) const
{
	return Widget::convertToContainingView(p);
}

DLL_PUBLIC IntPoint PluginViewBase::convertFromContainingView(const IntPoint& p) const
{
	return Widget::convertFromContainingView(p);
}

DLL_PUBLIC void PluginViewBase::paint(GraphicsContext* ctx, const IntRect& r)
{
	Widget::paint(ctx, r);
}

DLL_PUBLIC void PluginViewBase::setFrameRect(const IntRect& r)
{
	Widget::setFrameRect(r);
}

DLL_PUBLIC void PluginViewBase::frameRectsChanged()
{
	Widget::frameRectsChanged();
}

} // namespace WebCore
